Get Resource Action

Get Resource Action
Fetch resource action.

Returns an action for the resource specified by its Resource ID and Action ID.

Request
URI
GET
https://{vcfa-fqdn}/deployment/api/resources/{resourceId}/actions/{actionId}
COPY
Path Parameters
string
resourceId
Required  

Resource ID

string
actionId
Required  

Action ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ResourceAction of type(s) application/json
{
    "actionType": "string",
    "dependents": [
        "string"
    ],
    "description": "string",
    "displayName": "string",
    "formDefinition": {
        "formURI": "string",
        "trackProgressInModal": false
    },
    "id": "string",
    "name": "string",
    "orgId": "string",
    "projectId": "string",
    "schema": {
        "$data": "string",
        "$dynamicDefault": "string",
        "$ref": "string",
        "additionalProperties": false,
        "allOf": [
            {
                "$data": "string",
                "$dynamicDefault": "string",
                "$ref": "string",
                "additionalProperties": false,
                "allOf": [
                    "JsonSchemaImpl Object"
                ],
                "anyOf": [
                    "JsonSchemaImpl Object"
                ],
                "const": {},
                "default": {},
                "description": "string",
                "encrypted": false,
                "enum": [
                    {}
                ],
                "format": "string",
                "formatMaximum": "string",
                "formatMinimum": "string",
                "items": {
                    "singleton": false,
                    "value": "JsonSchemaImpl Object"
                },
                "maxItems": 0,
                "maxLength": 0,
                "maxProperties": 0,
                "maximum": "number",
                "minItems": 0,
                "minLength": 0,
                "minProperties": 0,
                "minimum": "number",
                "not": "JsonSchemaImpl Object",
                "oneOf": [
                    "JsonSchemaImpl Object"
                ],
                "pattern": "string",
                "patternProperties": {
                    "patternProperties": "JsonSchemaImpl Object"
                },
                "properties": {
                    "properties": "JsonSchemaImpl Object"
                },
                "readOnly": false,
                "required": [
                    "string"
                ],
                "title": "string",
                "type": "string",
                "uniqueItems": false,
                "writeOnly": false
            }
        ],
        "anyOf": [
            "JsonSchemaImpl Object"
        ],
        "const": {},
        "default": {},
        "description": "string",
        "encrypted": false,
        "enum": [
            {}
        ],
        "format": "string",
        "formatMaximum": "string",
        "formatMinimum": "string",
        "items": "ObjectOrListJsonSchemaImpl Object",
        "maxItems": 0,
        "maxLength": 0,
        "maxProperties": 0,
        "maximum": "number",
        "minItems": 0,
        "minLength": 0,
        "minProperties": 0,
        "minimum": "number",
        "not": "JsonSchemaImpl Object",
        "oneOf": [
            "JsonSchemaImpl Object"
        ],
        "pattern": "string",
        "patternProperties": {
            "patternProperties": "JsonSchemaImpl Object"
        },
        "properties": {
            "properties": "JsonSchemaImpl Object"
        },
        "readOnly": false,
        "required": [
            "string"
        ],
        "title": "string",
        "type": "string",
        "uniqueItems": false,
        "writeOnly": false
    },
    "valid": false
}
string
actionType
Optional

Resource action type

Enumeration: RESOURCE_ACTION, RESOURCE_EXTENSION
array of string
dependents
Read-Only  

Dependent resources

string
description
Optional

Resource action description

string
displayName
Optional

Resource action display name

object
formDefinition
Optional

Resource action custom UI definition. Optional

string
id
Read-Only  

Resource action id

string
name
Optional

Resource action name

string
orgId
Read-Only  

Resource action org ID

string
projectId
Optional

Resource action project ID

object
schema
Optional

Schema describing a policy object of this type

boolean
valid
Read-Only  

Resource action is valid for current state


401

Unauthorized

Returns ResourceAction of type(s) application/json
{
    "actionType": "string",
    "dependents": [
        "string"
    ],
    "description": "string",
    "displayName": "string",
    "formDefinition": {
        "formURI": "string",
        "trackProgressInModal": false
    },
    "id": "string",
    "name": "string",
    "orgId": "string",
    "projectId": "string",
    "schema": {
        "$data": "string",
        "$dynamicDefault": "string",
        "$ref": "string",
        "additionalProperties": false,
        "allOf": [
            "JsonSchemaImpl Object"
        ],
        "anyOf": [
            "JsonSchemaImpl Object"
        ],
        "const": {},
        "default": {},
        "description": "string",
        "encrypted": false,
        "enum": [
            {}
        ],
        "format": "string",
        "formatMaximum": "string",
        "formatMinimum": "string",
        "items": "ObjectOrListJsonSchemaImpl Object",
        "maxItems": 0,
        "maxLength": 0,
        "maxProperties": 0,
        "maximum": "number",
        "minItems": 0,
        "minLength": 0,
        "minProperties": 0,
        "minimum": "number",
        "not": "JsonSchemaImpl Object",
        "oneOf": [
            "JsonSchemaImpl Object"
        ],
        "pattern": "string",
        "patternProperties": {
            "patternProperties": "JsonSchemaImpl Object"
        },
        "properties": {
            "properties": "JsonSchemaImpl Object"
        },
        "readOnly": false,
        "required": [
            "string"
        ],
        "title": "string",
        "type": "string",
        "uniqueItems": false,
        "writeOnly": false
    },
    "valid": false
}
string
actionType
Optional

Resource action type

Enumeration: RESOURCE_ACTION, RESOURCE_EXTENSION
array of string
dependents
Read-Only  

Dependent resources

string
description
Optional

Resource action description

string
displayName
Optional

Resource action display name

object
formDefinition
Optional

Resource action custom UI definition. Optional

string
id
Read-Only  

Resource action id

string
name
Optional

Resource action name

string
orgId
Read-Only  

Resource action org ID

string
projectId
Optional

Resource action project ID

object
schema
Optional

Schema describing a policy object of this type

boolean
valid
Read-Only  

Resource action is valid for current state


404

Not Found

Returns ResourceAction of type(s) application/json
"ResourceAction Object"
string
actionType
Optional

Resource action type

Enumeration: RESOURCE_ACTION, RESOURCE_EXTENSION
array of string
dependents
Read-Only  

Dependent resources

string
description
Optional

Resource action description

string
displayName
Optional

Resource action display name

object
formDefinition
Optional

Resource action custom UI definition. Optional

string
id
Read-Only  

Resource action id

string
name
Optional

Resource action name

string
orgId
Read-Only  

Resource action org ID

string
projectId
Optional

Resource action project ID

object
schema
Optional

Schema describing a policy object of this type

boolean
valid
Read-Only  

Resource action is valid for current state


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/deployment/api/resources/{resourceId}/actions/{actionId}